CEL: Crystal Entity Layer: iQuestSeqOp Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestSeqOp Struct Reference

This is a sequence operation in a quest. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | Do (float time)=0
| Do the operation.
virtual void | Init ()=0
| Init the operation.
virtual bool | Load (iCelDataBuffer *databuf)=0
| Load the sequence operation from persisted data.
virtual void | Save (iCelDataBuffer *databuf)=0
| Save the sequence operation to persisted data.

## Detailed Description

This is a sequence operation in a quest.

A sequence operation represents an operation that has a duration or an operation that is a single-shot. You can combine different sequence operations in a sequence and then use a reward to fire of the sequence as result of a trigger.

Definition at line 278 of file questmanager.h.

## Member Function Documentation

virtual void iQuestSeqOp::Do | ( | float | time | ) | `[pure virtual]`

| Do the operation. The parameter is a value between 0 and 1 which will be interpolated over a specified time (specified in the sequence). In case this is a single-shot operation the value will always be 1.

virtual void iQuestSeqOp::Init | ( |  | ) | `[pure virtual]`

| Init the operation. This is called before the operation is actually performed the first time. This function is not called in case the operation is loaded from persisted data. In that case Load() is called instead.

virtual bool iQuestSeqOp::Load | ( | iCelDataBuffer * | databuf | ) | `[pure virtual]`

| Load the sequence operation from persisted data.

virtual void iQuestSeqOp::Save | ( | iCelDataBuffer * | databuf | ) | `[pure virtual]`

| Save the sequence operation to persisted data.

The documentation for this struct was generated from the following file:

- tools/questmanager.h